GET
/categories/rulesRegras da Categoria de Listagem
Regras de categoria de recuperação
Responses
200Recupere uma lista de todas as regras de categoria de cliente.
object
resultsrequiredobject[]
itemsobject
Regra de categoria por ID do cliente
pagerequirednumber (double)
totalrequirednumber (double)
totalPagesrequirednumber (double)
Example response
json
{
"results": [
{
"id": "d5c3f6a2-7b1e-4f0c-9a8d-2e6b1c4f7a90",
"description": "uber payment",
"category": "Salary/pro-labore",
"categoryId": "05000000",
"clientId": "03cc0eff-4ec5-495c-adb3-1ef9611624fc",
"transactionType": "DEBIT",
"accountType": "CHECKING_ACCOUNT",
"matchType": "exact"
}
],
"page": 0,
"total": 0,
"totalPages": 0
}curl -X GET \
'https://api.pluggy.ai/categories/rules' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY'Resposta de exemplo
{
"results": [
{
"id": "d5c3f6a2-7b1e-4f0c-9a8d-2e6b1c4f7a90",
"description": "uber payment",
"category": "Salary/pro-labore",
"categoryId": "05000000",
"clientId": "03cc0eff-4ec5-495c-adb3-1ef9611624fc",
"transactionType": "DEBIT",
"accountType": "CHECKING_ACCOUNT",
"matchType": "exact"
}
],
"page": 0,
"total": 0,
"totalPages": 0
}